import java.util.ArrayList;

public class Whatsapp extends Nacnhrichten {
    private String name;
    private String teleN;
    private String nachricht;
    private Whatsapp empf;
	private ArrayList <String> speicherContact;
	private ArrayList <String> speicherNummern;


    
    public Whatsapp(){}
    
	public Whatsapp(String name, String teleN) {
		this.name = name;
		this.teleN = teleN;
		this.nachricht = null;
		this.empf = null;
		this.speicherContact = new ArrayList<>();
		this.speicherNummern = new ArrayList<>();
		
	}

	public void sendeNachricht(Whatsapp empf , String nachricht) {
		this.empf = empf;
		this.empf.setNachricht(nachricht);
		nachrichtenlists.add(getSendeNachricht());
		
	}

	public void addContact(String name, String teleN){
		if (name != null && teleN != null){
			speicherContact.add(name);
			speicherNummern.add(teleN);
		}
		

	}

	public String searchContact(String name){
		for (int i = 0; i <speicherContact.size(); i++ )
			if (speicherContact.get(i).equalsIgnoreCase(name))
				return "Der Name ist gefunden: " +  name;
		return "Der Name exesitert nicht!";
	}

	public ArrayList<String> getContact(){
		return  this.speicherContact;
	}

	public void printContacte(){
		System.out.println("Deine KontaktListe: ");
		for (int i = 0; i < speicherContact.size(); i++){
			System.out.println("Name: " + speicherContact.get(i) + ", Telefonnummer: " + speicherNummern.get(i));
		}
		
	}
	
	public String getSendeNachricht() {
		return this.name + " sendet zu  "+ this.empf.name + " : "  + this.empf.getNachricht();
		
	}
	
	public void getNachrichten() {
		 Nacnhrichten.addMessage(this.getSendeNachricht());
		
	}
	public ArrayList<String> getnachrichtenlists() {

		return nachrichtenlists;
	}

	
	
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getTeleN() {
		return teleN;
	}
	public void setTeleN(String teleN) {
		this.teleN = teleN;
	}
	public String getNachricht() {
		return nachricht;
	}
	public void setNachricht(String nachricht) {
		this.nachricht = nachricht;
	}
	
	
	@Override
	public String toString() {
		return "Whatsapp [name=" + name + ", teleN=" + teleN + "]";
	}
	
	
    
    

    
}